#
#   Filtri IIR ad un polo reale.
#   Copyright (C) 2010 2011 2014 2022  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set terminal epslatex standalone monochrome blacktext size 29.7cm,21.0cm
set output "iir1.tex"



load "zeri_poli.gnu"



set grid x y
set grid my
set xzeroaxis lw 2

set key off
#set key on
#set key title "Lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key right
#set key top

set samples 300


set multiplot
set size 0.7,1.0
set origin 0.0,0.0


set format x '%1.2f$f_s$'
set xrange[0.0:0.5]
set xtics 0.05

set format y '%1.0f dB'
set yrange[-60:10]
set ytics 10
set mytics 3

set title 'Single pole IIR filters table\hspace{2.0cm} Copyright \copyright\hspace{0.2cm} 2010 2011 2014 2022\hspace{0.2cm} Alessandro Accattini'

set object 1 rect from 0.0,-50 to 0.20,-60 front lw 3
set label  2 '$ y(n) = (1-p) \cdot x(n) + p \cdot y(n-1) $' at 0.02,-55 front
set label  3 '$ p = \frac{1}{2} $'   at 0.380, -7.5 front
set label  4 '$ p = \frac{3}{4} $'   at 0.377,-15.0 front
set label  5 '$ p = \frac{7}{8} $'   at 0.370,-21.5 front
set label  6 '$ p = \frac{15}{16} $' at 0.365,-28.0 front
set label  7 '$ p = \frac{31}{32} $' at 0.360,-34.0 front
set label  8 '$ p = \frac{63}{64} $' at 0.355,-43.0 front


plot	dB(IIR_1(z(x))) title "IIR 1" lt 1 lw 4, \
	dB(IIR_2(z(x))) title "IIR 2" lt 1 lw 4, \
	dB(IIR_3(z(x))) title "IIR 3" lt 1 lw 4, \
	dB(IIR_4(z(x))) title "IIR 4" lt 1 lw 4, \
	dB(IIR_5(z(x))) title "IIR 5" lt 1 lw 4, \
	dB(IIR_6(z(x))) title "IIR 6" lt 1 lw 4, \
	dB(IIR_3b(z(x))) title "IIR 3b" lt 5 lw 3



unset object 1
unset for [i=1:8] label i
unset title



set size 0.3,1.0
set origin 0.7,0.0

set polar
set dummy t

set grid polar pi/6
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000


set trange[0:2*pi]
#set rrange [0:1]
set xrange [0:1]
set yrange [-1:1]
set size ratio -1
#set rtics 0.25 rotate by 90.0 right
set xtics 0.25
set format ''
#unset xtics
unset ytics
unset mytics


plot "-" using 1:($2/$3) with points lw 6 lt 4


unset multiplot


0.0	1	2
0.0	3	4
0.0	7	8
0.0	15	16
0.0	31	32
0.0	63	64






