#
#   Disposizione dei poli e degli zeri nel piano complesso.
#   Copyright (C) 2010 2011 2014 2022  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


# Funzioni
dB(a)=20.0*log10(a)
Rad(ang)=2.0*pi*ang/360.0
Disc(r,ang)=r*(cos(Rad(ang))+{0.0,1.0}*sin(Rad(ang)))
Dist(z,i)=abs(z-i)
z(fn)=exp({0.0,1.0}*fn*2.0*pi)


# Zeri
q1=Disc(1.0,180.0)

# Poli
p1=Disc(1.0/2.0, 0.0)
p2=Disc(3.0/4.0, 0.0)
p3=Disc(7.0/8.0, 0.0)
p4=Disc(15.0/16.0, 0.0)
p5=Disc(31.0/32.0, 0.0)
p6=Disc(63.0/64.0, 0.0)



IIR_1(z)=  (1-p1) / Dist(z,p1)
IIR_2(z)=  (1-p2) / Dist(z,p2)
IIR_3(z)=  (1-p3) / Dist(z,p3)
IIR_4(z)=  (1-p4) / Dist(z,p4)
IIR_5(z)=  (1-p5) / Dist(z,p5)
IIR_6(z)=  (1-p6) / Dist(z,p6)

IIR_1b(z)= (1-p1)*Dist(z,q1)*0.5 / Dist(z,p1)
IIR_2b(z)= (1-p2)*Dist(z,q1)*0.5 / Dist(z,p2)
IIR_3b(z)= (1-p3)*Dist(z,q1)*0.5 / Dist(z,p3)
IIR_4b(z)= (1-p4)*Dist(z,q1)*0.5 / Dist(z,p4)
IIR_5b(z)= (1-p5)*Dist(z,q1)*0.5 / Dist(z,p5)
IIR_6b(z)= (1-p6)*Dist(z,q1)*0.5 / Dist(z,p6)

